Bug 1121999 - Doesn't start vdsmd.service after clean installation
Summary: Doesn't start vdsmd.service after clean installation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.4
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
: 3.4.3
Assignee: Dan Kenigsberg
QA Contact: Gil Klein
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 10:29 UTC by Stanislav Mikhalevich
Modified: 2014-08-11 08:39 UTC (History)
10 users (show)

Fixed In Version: vdsm-4.14.11.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-11 08:39:28 UTC
oVirt Team: ---


Attachments (Terms of Use)
supervdsm.log (3.31 KB, application/gzip)
2014-07-22 10:29 UTC, Stanislav Mikhalevich
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30576 ovirt-3.4 MERGED connectivity log: add to spec with proper ownership Never

Description Stanislav Mikhalevich 2014-07-22 10:29:18 UTC
Created attachment 919861 [details]
supervdsm.log

Description of problem:
Doesn't start vdsmd.service on CentOS 7.

Version-Release number of selected component (if applicable):
vdsm-4.14.11-0.el7.x86_64
vdsm-xmlrpc-4.14.11-0.el7.noarch
vdsm-hook-sriov-4.14.11-0.el7.noarch
vdsm-python-4.14.11-0.el7.x86_64
vdsm-cli-4.14.11-0.el7.noarch
vdsm-python-zombiereaper-4.14.11-0.el7.noarch
vdsm-gluster-4.14.11-0.el7.noarch

How reproducible:


Steps to Reproduce:
1. Add host with CentOS7 over Ovirt

Actual results:
Jul 22 14:27:54 hv02 vdsmd_init_common.sh: vdsm: Running mkdirs
Jul 22 14:27:54 hv02 vdsmd_init_common.sh: vdsm: Running configure_coredump
Jul 22 14:27:54 hv02 vdsmd_init_common.sh: vdsm: Running configure_vdsm_logs
Jul 22 14:27:54 hv02 vdsmd_init_common.sh: vdsm: Running run_init_hooks
Jul 22 14:27:54 hv02 vdsmd_init_common.sh: vdsm: Running gencerts
Jul 22 14:27:54 hv02 vdsmd_init_common.sh: vdsm: Running check_is_configured
Jul 22 14:27:55 hv02 vdsmd_init_common.sh: libvirt is already configured for vdsm
Jul 22 14:27:55 hv02 vdsmd_init_common.sh: vdsm: Running validate_configuration
Jul 22 14:27:55 hv02 vdsmd_init_common.sh: SUCCESS: ssl configured to true. No conflicts
Jul 22 14:27:55 hv02 vdsmd_init_common.sh: vdsm: Running prepare_transient_repository
Jul 22 14:27:55 hv02 vdsmd_init_common.sh: vdsm: Running syslog_available
Jul 22 14:27:55 hv02 vdsmd_init_common.sh: vdsm: Running nwfilter
Jul 22 14:27:56 hv02 vdsmd_init_common.sh: vdsm: Running dummybr
Jul 22 14:27:56 hv02 vdsmd_init_common.sh: vdsm: Running load_needed_modules
Jul 22 14:27:56 hv02 vdsmd_init_common.sh: vdsm: Running tune_system
Jul 22 14:27:56 hv02 vdsmd_init_common.sh: vdsm: Running test_space
Jul 22 14:27:56 hv02 vdsmd_init_common.sh: vdsm: Running test_lo
Jul 22 14:27:56 hv02 vdsmd_init_common.sh: vdsm: Running unified_network_persistence_upgrade
Jul 22 14:27:56 hv02 vdsmd_init_common.sh: vdsm: Running restore_nets
Jul 22 14:27:56 hv02 vdsmd_init_common.sh: vdsm: Running upgrade_300_nets
Jul 22 14:27:56 hv02 systemd: Started Virtual Desktop Server Manager.
Jul 22 14:27:57 hv02 python: detected unhandled Python exception in '/usr/share/vdsm/vdsm'
Jul 22 14:27:57 hv02 abrt-server: Not saving repeating crash in '/usr/share/vdsm/vdsm'
Jul 22 14:27:57 hv02 systemd: vdsmd.service: main process exited, code=exited, status=1/FAILURE
Jul 22 14:27:57 hv02 vdsmd_init_common.sh: vdsm: Running run_final_hooks
Jul 22 14:27:57 hv02 systemd: Unit vdsmd.service entered failed state.
Jul 22 14:27:57 hv02 systemd: Started Device-Mapper Multipath Device Controller.
Jul 22 14:27:57 hv02 systemd: vdsmd.service holdoff time over, scheduling restart.
Jul 22 14:27:57 hv02 systemd: Started Device-Mapper Multipath Device Controller.
Jul 22 14:27:57 hv02 systemd: Stopping Virtual Desktop Server Manager...
Jul 22 14:27:57 hv02 systemd: Starting Virtual Desktop Server Manager...
Jul 22 14:27:57 hv02 vdsmd_init_common.sh: vdsm: Running mkdirs
Jul 22 14:27:57 hv02 vdsmd_init_common.sh: vdsm: Running configure_coredump
Jul 22 14:27:57 hv02 vdsmd_init_common.sh: vdsm: Running configure_vdsm_logs
Jul 22 14:27:57 hv02 vdsmd_init_common.sh: vdsm: Running run_init_hooks
Jul 22 14:27:57 hv02 vdsmd_init_common.sh: vdsm: Running gencerts
Jul 22 14:27:57 hv02 vdsmd_init_common.sh: vdsm: Running check_is_configured
Jul 22 14:27:57 hv02 vdsmd_init_common.sh: libvirt is already configured for vdsm
Jul 22 14:27:57 hv02 vdsmd_init_common.sh: vdsm: Running validate_configuration
Jul 22 14:27:58 hv02 vdsmd_init_common.sh: SUCCESS: ssl configured to true. No conflicts
Jul 22 14:27:58 hv02 vdsmd_init_common.sh: vdsm: Running prepare_transient_repository
Jul 22 14:27:58 hv02 vdsmd_init_common.sh: vdsm: Running syslog_available
Jul 22 14:27:58 hv02 vdsmd_init_common.sh: vdsm: Running nwfilter
Jul 22 14:27:58 hv02 vdsmd_init_common.sh: vdsm: Running dummybr
Jul 22 14:27:59 hv02 vdsmd_init_common.sh: vdsm: Running load_needed_modules
Jul 22 14:27:59 hv02 vdsmd_init_common.sh: vdsm: Running tune_system
Jul 22 14:27:59 hv02 vdsmd_init_common.sh: vdsm: Running test_space
Jul 22 14:27:59 hv02 vdsmd_init_common.sh: vdsm: Running test_lo
Jul 22 14:27:59 hv02 vdsmd_init_common.sh: vdsm: Running unified_network_persistence_upgrade
Jul 22 14:27:59 hv02 vdsmd_init_common.sh: vdsm: Running restore_nets
Jul 22 14:27:59 hv02 vdsmd_init_common.sh: vdsm: Running upgrade_300_nets
Jul 22 14:27:59 hv02 systemd: Started Virtual Desktop Server Manager.
Jul 22 14:27:59 hv02 python: detected unhandled Python exception in '/usr/share/vdsm/vdsm'
Jul 22 14:27:59 hv02 abrt-server: Not saving repeating crash in '/usr/share/vdsm/vdsm'
Jul 22 14:27:59 hv02 systemd: vdsmd.service: main process exited, code=exited, status=1/FAILURE
Jul 22 14:28:00 hv02 vdsmd_init_common.sh: vdsm: Running run_final_hooks
Jul 22 14:28:00 hv02 systemd: Unit vdsmd.service entered failed state.
Jul 22 14:28:00 hv02 systemd: Started Device-Mapper Multipath Device Controller.
Jul 22 14:28:00 hv02 systemd: vdsmd.service holdoff time over, scheduling restart.
Jul 22 14:28:00 hv02 systemd: Started Device-Mapper Multipath Device Controller.
Jul 22 14:28:00 hv02 systemd: Stopping Virtual Desktop Server Manager...
Jul 22 14:28:00 hv02 systemd: Starting Virtual Desktop Server Manager...
Jul 22 14:28:00 hv02 vdsmd_init_common.sh: vdsm: Running mkdirs
Jul 22 14:28:00 hv02 vdsmd_init_common.sh: vdsm: Running configure_coredump
Jul 22 14:28:00 hv02 vdsmd_init_common.sh: vdsm: Running configure_vdsm_logs
Jul 22 14:28:00 hv02 vdsmd_init_common.sh: vdsm: Running run_init_hooks
Jul 22 14:28:00 hv02 vdsmd_init_common.sh: vdsm: Running gencerts
Jul 22 14:28:00 hv02 vdsmd_init_common.sh: vdsm: Running check_is_configured
Jul 22 14:28:00 hv02 vdsmd_init_common.sh: libvirt is already configured for vdsm
Jul 22 14:28:00 hv02 vdsmd_init_common.sh: vdsm: Running validate_configuration
Jul 22 14:28:00 hv02 vdsmd_init_common.sh: SUCCESS: ssl configured to true. No conflicts
Jul 22 14:28:00 hv02 vdsmd_init_common.sh: vdsm: Running prepare_transient_repository
Jul 22 14:28:01 hv02 vdsmd_init_common.sh: vdsm: Running syslog_available
Jul 22 14:28:01 hv02 vdsmd_init_common.sh: vdsm: Running nwfilter
Jul 22 14:28:01 hv02 vdsmd_init_common.sh: vdsm: Running dummybr
Jul 22 14:28:01 hv02 vdsmd_init_common.sh: vdsm: Running load_needed_modules
Jul 22 14:28:01 hv02 vdsmd_init_common.sh: vdsm: Running tune_system
Jul 22 14:28:01 hv02 vdsmd_init_common.sh: vdsm: Running test_space
Jul 22 14:28:01 hv02 vdsmd_init_common.sh: vdsm: Running test_lo
Jul 22 14:28:01 hv02 vdsmd_init_common.sh: vdsm: Running unified_network_persistence_upgrade
Jul 22 14:28:02 hv02 vdsmd_init_common.sh: vdsm: Running restore_nets
Jul 22 14:28:02 hv02 vdsmd_init_common.sh: vdsm: Running upgrade_300_nets
Jul 22 14:28:02 hv02 systemd: Started Virtual Desktop Server Manager.
Jul 22 14:28:02 hv02 python: detected unhandled Python exception in '/usr/share/vdsm/vdsm'
Jul 22 14:28:02 hv02 abrt-server: Not saving repeating crash in '/usr/share/vdsm/vdsm'
Jul 22 14:28:02 hv02 systemd: vdsmd.service: main process exited, code=exited, status=1/FAILURE
Jul 22 14:28:02 hv02 vdsmd_init_common.sh: vdsm: Running run_final_hooks
Jul 22 14:28:02 hv02 systemd: Unit vdsmd.service entered failed state.
Jul 22 14:28:02 hv02 systemd: Started Device-Mapper Multipath Device Controller.
Jul 22 14:28:02 hv02 systemd: vdsmd.service holdoff time over, scheduling restart.
Jul 22 14:28:02 hv02 systemd: Started Device-Mapper Multipath Device Controller.
Jul 22 14:28:02 hv02 systemd: Stopping Virtual Desktop Server Manager...
Jul 22 14:28:02 hv02 systemd: Starting Virtual Desktop Server Manager...

Expected results:


Additional info:

Comment 1 Stanislav Mikhalevich 2014-07-22 10:30:51 UTC
[root@hv02 vdsm]# ls -la /var/log/vdsm/
итого 64
drwxr-xr-x.  3 vdsm kvm   4096 июл 16 20:26 .
drwxr-xr-x. 13 root root  4096 июл 22 09:42 ..
drwxr-xr-x.  2 vdsm kvm      6 июл 16 20:26 backup
-rw-r--r--.  1 root root     0 июл 19 20:28 connectivity.log
-rw-r--r--.  1 vdsm kvm      0 июл 22 00:08 metadata.log
-rw-r--r--.  1 vdsm kvm      0 июл 22 00:08 mom.log
-rw-r--r--.  1 root root 45850 июл 22 10:04 supervdsm.log
-rw-r--r--.  1 vdsm kvm    907 июл 19 20:28 upgrade.log
-rw-r--r--.  1 vdsm kvm      0 июл 22 00:08 vdsm.log

Comment 2 Stanislav Mikhalevich 2014-07-22 16:43:41 UTC
After 
#chown 36.36 /var/log/vdsm/connectivity.log 
and
remove lines
    elif dev.isVLAN():
        speed = netinfo.vlanSpeed(dev.name)
from /usr/share/vdsm/sampling.py problem was solved.

Comment 3 Oved Ourfali 2014-07-23 05:40:04 UTC
Should we move to MODIFIED?


Note You need to log in before you can comment on or make changes to this bug.